from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['frozen_1.rougail.leadermode.other.leader'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['frozen_1.rougail.leadermode.other.follower1'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['frozen_1.rougail.leadermode.other.follower2'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['hidden_1.rougail.leadermode.other.leader'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['frozen_2.rougail.leadermode.other.leader'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['frozen_2.rougail.leadermode.other.follower1'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['frozen_2.rougail.leadermode.other.follower2'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
dict_env['hidden_2.rougail.leadermode.other.leader'] = "{% if rougail.general.mode_conteneur_actif == \"non\" %}\nrougail.general.mode_conteneur_actif is non\n{% endif %}\n"
option_4 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"advanced", "mandatory"}))
optiondescription_3 = OptionDescription(name="general", doc="general", children=[option_4], properties=frozenset({"advanced"}))
option_7 = StrOption(name="leader", doc="leader", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_1.rougail.leadermode.other.leader"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_4)}), help_function=func['jinja_to_property_help'])}))
option_8 = StrOption(name="follower1", doc="follower1", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_1.rougail.leadermode.other.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_4)}), help_function=func['jinja_to_property_help'])}))
option_9 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_1.rougail.leadermode.other.follower2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_4)}), help_function=func['jinja_to_property_help'])}))
optiondescription_6 = Leadership(name="other", doc="other", children=[option_7, option_8, option_9], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_1.rougail.leadermode.other.leader"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_4)}), help_function=func['jinja_to_property_help'])}))
optiondescription_5 = OptionDescription(name="leadermode", doc="leadermode", children=[optiondescription_6], properties=frozenset({"standard"}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_3, optiondescription_5], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_13 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"advanced", "mandatory"}))
optiondescription_12 = OptionDescription(name="general", doc="general", children=[option_13], properties=frozenset({"advanced"}))
option_16 = StrOption(name="leader", doc="leader", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_2.rougail.leadermode.other.leader"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_13)}), help_function=func['jinja_to_property_help'])}))
option_17 = StrOption(name="follower1", doc="follower1", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_2.rougail.leadermode.other.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_13)}), help_function=func['jinja_to_property_help'])}))
option_18 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"force_default_on_freeze", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_2.rougail.leadermode.other.follower2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_13)}), help_function=func['jinja_to_property_help'])}))
optiondescription_15 = Leadership(name="other", doc="other", children=[option_16, option_17, option_18], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_2.rougail.leadermode.other.leader"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.mode_conteneur_actif': ParamOption(option_13)}), help_function=func['jinja_to_property_help'])}))
optiondescription_14 = OptionDescription(name="leadermode", doc="leadermode", children=[optiondescription_15], properties=frozenset({"standard"}))
optiondescription_11 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_12, optiondescription_14], properties=frozenset({"standard"}))
optiondescription_10 = OptionDescription(name="2", doc="2", children=[optiondescription_11], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_10])
