from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['hidden_rougail.general'] = "{% if not rougail.condition1 %}\ncondition1 is no\n{% endif %}\n"
option_2 = BoolOption(name="condition1", doc="condition1", default=False, properties=frozenset({"mandatory", "standard"}))
option_3 = BoolOption(name="condition2", doc="condition2", default=False, properties=frozenset({"mandatory", "standard"}))
option_5 = StrOption(name="my_variable", doc="my_variable", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "standard"}))
optiondescription_4 = OptionDescription(name="general", doc="general", children=[option_5], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_rougail.general"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.condition1': ParamOption(option_2)}), help_function=func['jinja_to_property_help'])}))
optiondescription_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2, option_3, optiondescription_4], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
