from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['hidden_1.rougail.general'] = "{% if not rougail.condition1 %}\ncondition1 is no\n{% endif %}\n"
dict_env['hidden_2.rougail.general'] = "{% if not rougail.condition1 %}\ncondition1 is no\n{% endif %}\n"
option_3 = BoolOption(name="condition1", doc="condition1", default=False, properties=frozenset({"mandatory", "standard"}))
option_4 = BoolOption(name="condition2", doc="condition2", default=False, properties=frozenset({"mandatory", "standard"}))
option_6 = StrOption(name="my_variable", doc="my_variable", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "standard"}))
optiondescription_5 = OptionDescription(name="general", doc="general", children=[option_6], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_1.rougail.general"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.condition1': ParamOption(option_3)}), help_function=func['jinja_to_property_help'])}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[option_3, option_4, optiondescription_5], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_9 = BoolOption(name="condition1", doc="condition1", default=False, properties=frozenset({"mandatory", "standard"}))
option_10 = BoolOption(name="condition2", doc="condition2", default=False, properties=frozenset({"mandatory", "standard"}))
option_12 = StrOption(name="my_variable", doc="my_variable", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "standard"}))
optiondescription_11 = OptionDescription(name="general", doc="general", children=[option_12], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_2.rougail.general"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.condition1': ParamOption(option_9)}), help_function=func['jinja_to_property_help'])}))
optiondescription_8 = OptionDescription(name="rougail", doc="rougail", children=[option_9, option_10, optiondescription_11], properties=frozenset({"standard"}))
optiondescription_7 = OptionDescription(name="2", doc="2", children=[optiondescription_8], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_7])
