from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['frozen_rougail.dyn{{ suffix }}.vardyn'] = "{% if rougail.new.newvar == \"non\" %}\nnewvar is non\n{% endif %}\n"
dict_env['hidden_rougail.dyn{{ suffix }}'] = "{% if rougail.new.newvar == \"non\" %}\nnewvar is non\n{% endif %}\n"
option_3 = StrOption(name="varname", doc="varname", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}))
optiondescription_2 = OptionDescription(name="general", doc="general", children=[option_3], properties=frozenset({"standard"}))
option_7 = StrOption(name="newvar", doc="newvar", properties=frozenset({"standard"}))
option_5 = StrOption(name="vardyn", doc="vardyn", default="val", properties=frozenset({"force_default_on_freeze", "mandatory", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_rougail.dyn{{ suffix }}.vardyn"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.new.newvar': ParamOption(option_7)}), help_function=func['jinja_to_property_help'])}))
optiondescription_4 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="dyn{{ suffix }}", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_3, notraisepropertyerror=True)))), children=[option_5], properties=frozenset({"standard", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_rougail.dyn{{ suffix }}"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.new.newvar': ParamOption(option_7)}), help_function=func['jinja_to_property_help'])}))
optiondescription_6 = OptionDescription(name="new", doc="new", children=[option_7], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_2, optiondescription_4, optiondescription_6], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
