from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_1.rougail.new.newvar'] = "{{ rougail.dynval1.grp.vardyn }}"
dict_env['default_2.rougail.new.newvar'] = "{{ rougail.dynval1.grp.vardyn }}"
option_4 = StrOption(name="varname", doc="varname", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}))
optiondescription_3 = OptionDescription(name="general", doc="general", children=[option_4], properties=frozenset({"standard"}))
option_7 = StrOption(name="vardyn", doc="vardyn", default=Calculation(func['calc_value'], Params((ParamSuffix()))), properties=frozenset({"mandatory", "standard"}))
optiondescription_6 = OptionDescription(name="grp", doc="grp", children=[option_7], properties=frozenset({"standard"}))
optiondescription_5 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="dyn{{ suffix }}", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_4, notraisepropertyerror=True)), kwargs={'allow_none': ParamValue(True)})), children=[optiondescription_6], properties=frozenset({"standard"}))
option_9 = StrOption(name="newvar", doc="newvar", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.new.newvar"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.dynval1.grp.vardyn': ParamDynOption(option_7, ['val1'])})), properties=frozenset({"standard"}))
optiondescription_8 = OptionDescription(name="new", doc="new", children=[option_9], properties=frozenset({"standard"}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_3, optiondescription_5, optiondescription_8], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_13 = StrOption(name="varname", doc="varname", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}))
optiondescription_12 = OptionDescription(name="general", doc="general", children=[option_13], properties=frozenset({"standard"}))
option_16 = StrOption(name="vardyn", doc="vardyn", default=Calculation(func['calc_value'], Params((ParamSuffix()))), properties=frozenset({"mandatory", "standard"}))
optiondescription_15 = OptionDescription(name="grp", doc="grp", children=[option_16], properties=frozenset({"standard"}))
optiondescription_14 = ConvertDynOptionDescription(name="dyn{{ suffix }}", doc="dyn{{ suffix }}", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_13, notraisepropertyerror=True)), kwargs={'allow_none': ParamValue(True)})), children=[optiondescription_15], properties=frozenset({"standard"}))
option_18 = StrOption(name="newvar", doc="newvar", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.new.newvar"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.dynval1.grp.vardyn': ParamDynOption(option_16, ['val1'])})), properties=frozenset({"standard"}))
optiondescription_17 = OptionDescription(name="new", doc="new", children=[option_18], properties=frozenset({"standard"}))
optiondescription_11 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_12, optiondescription_14, optiondescription_17], properties=frozenset({"standard"}))
optiondescription_10 = OptionDescription(name="2", doc="2", children=[optiondescription_11], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_10])
