from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['validators_rougail.general.adresse_ip'] = "{{ rougail.general.adresse_ip | valid_in_network(rougail.general.adresse_ip_eth0, rougail.general.adresse_netmask_eth0) }}"
option_3 = StrOption(name="mode_conteneur_actif", doc="No change", default="oui", properties=frozenset({"mandatory", "standard"}))
option_4 = IPOption(name="adresse_ip_eth0", doc="Adresse IP de la carte", allow_reserved=True, private_only=True, warnings_only=True, properties=frozenset({"basic", "mandatory"}))
option_5 = NetmaskOption(name="adresse_netmask_eth0", doc="Masque de sous réseau de la carte", properties=frozenset({"basic", "mandatory"}))
option_6 = IPOption(name="adresse_ip", doc="IP", validators=[Calculation(func['valid_with_jinja'], Params((), kwargs={'__internal_jinja': ParamValue("validators_rougail.general.adresse_ip"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.adresse_ip': ParamSelfOption(whole=False), 'rougail.general.adresse_ip_eth0': ParamOption(option_4), 'rougail.general.adresse_netmask_eth0': ParamOption(option_5)}))], allow_reserved=True, private_only=True, warnings_only=True, properties=frozenset({"basic", "mandatory"}))
optiondescription_2 = OptionDescription(name="general", doc="general", children=[option_3, option_4, option_5, option_6], properties=frozenset({"basic"}))
optiondescription_1 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_2], properties=frozenset({"basic"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
