from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['hidden_rougail.enumfam.test_variable'] = "{% if rougail.enumfam.enumvar == \"4\" %}\nrougail.enumfam.enumvar is 4\n{% endif %}\n"
dict_env['frozen_rougail.enumfam.test_variable'] = "{% if rougail.enumfam.enumvar == \"4\" %}\nrougail.enumfam.enumvar is 4\n{% endif %}\n"
option_3 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"advanced", "mandatory"}))
optiondescription_2 = OptionDescription(name="general", doc="general", children=[option_3], properties=frozenset({"advanced"}))
option_5 = ChoiceOption(name="enumvar", doc="enumvar", values=(1, 2, 3), default=1, properties=frozenset({"advanced", "mandatory"}), informations={'help': 'bla bla bla'})
option_6 = IntOption(name="test_variable", doc="test variable", properties=frozenset({"advanced", "force_default_on_freeze", Calculation(func['jinja_to_property'], Params((ParamValue("hidden")), kwargs={'__internal_jinja': ParamValue("hidden_rougail.enumfam.test_variable"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.enumfam.enumvar': ParamOption(option_5)}), help_function=func['jinja_to_property_help']), Calculation(func['jinja_to_property'], Params((ParamValue("frozen")), kwargs={'__internal_jinja': ParamValue("frozen_rougail.enumfam.test_variable"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.enumfam.enumvar': ParamOption(option_5)}), help_function=func['jinja_to_property_help'])}))
optiondescription_4 = OptionDescription(name="enumfam", doc="enumfam", children=[option_5, option_6], properties=frozenset({"advanced"}))
optiondescription_1 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_2, optiondescription_4], properties=frozenset({"advanced"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
