from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_1.rougail.general1.leader.follower1'] = "{{ \"valfill\" | calc_val }}"
dict_env['default_1.rougail.general1.leader.follower2'] = "{{ rougail.general1.leader.follower1 | calc_val }}"
dict_env['default_2.rougail.general1.leader.follower1'] = "{{ \"valfill\" | calc_val }}"
dict_env['default_2.rougail.general1.leader.follower2'] = "{{ rougail.general1.leader.follower1 | calc_val }}"
option_4 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "standard"}))
optiondescription_3 = OptionDescription(name="general", doc="general", children=[option_4], properties=frozenset({"standard"}))
option_7 = StrOption(name="leader", doc="leader", multi=True, properties=frozenset({"standard"}))
option_8 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.general1.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False)})), properties=frozenset({"standard"}))
option_9 = StrOption(name="follower2", doc="follower2", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.general1.leader.follower2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general1.leader.follower1': ParamOption(option_8)})), properties=frozenset({"standard"}))
optiondescription_6 = Leadership(name="leader", doc="leader", children=[option_7, option_8, option_9], properties=frozenset({"standard"}))
option_11 = StrOption(name="leader1", doc="leader", multi=True, properties=frozenset({"standard"}))
option_12 = StrOption(name="follower11", doc="follower1", multi=True, properties=frozenset({"standard"}))
option_13 = StrOption(name="follower21", doc="follower2", multi=True, properties=frozenset({"standard"}))
optiondescription_10 = Leadership(name="leader1", doc="leader", children=[option_11, option_12, option_13], properties=frozenset({"standard"}))
optiondescription_5 = OptionDescription(name="general1", doc="general1", children=[optiondescription_6, optiondescription_10], properties=frozenset({"standard"}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_3, optiondescription_5], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_17 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "standard"}))
optiondescription_16 = OptionDescription(name="general", doc="general", children=[option_17], properties=frozenset({"standard"}))
option_20 = StrOption(name="leader", doc="leader", multi=True, properties=frozenset({"standard"}))
option_21 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.general1.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False)})), properties=frozenset({"standard"}))
option_22 = StrOption(name="follower2", doc="follower2", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.general1.leader.follower2"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general1.leader.follower1': ParamOption(option_21)})), properties=frozenset({"standard"}))
optiondescription_19 = Leadership(name="leader", doc="leader", children=[option_20, option_21, option_22], properties=frozenset({"standard"}))
option_24 = StrOption(name="leader1", doc="leader", multi=True, properties=frozenset({"standard"}))
option_25 = StrOption(name="follower11", doc="follower1", multi=True, properties=frozenset({"standard"}))
option_26 = StrOption(name="follower21", doc="follower2", multi=True, properties=frozenset({"standard"}))
optiondescription_23 = Leadership(name="leader1", doc="leader", children=[option_24, option_25, option_26], properties=frozenset({"standard"}))
optiondescription_18 = OptionDescription(name="general1", doc="general1", children=[optiondescription_19, optiondescription_23], properties=frozenset({"standard"}))
optiondescription_15 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_16, optiondescription_18], properties=frozenset({"standard"}))
optiondescription_14 = OptionDescription(name="2", doc="2", children=[optiondescription_15], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_14])
