from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_rougail.dyn_{{ suffix }}.varname'] = "{% for val in rougail.varname %}\nt{{ val }}\n{% endfor %}\n"
dict_env['default_rougail.dyn_{{ suffix }}.dyn_{{ suffix }}.q_vardyn'] = "{{ s1 }}-{{ s2 }}\n"
option_2 = StrOption(name="varname", doc="varname", multi=True, default=["val1", "val2"], default_multi="val1", properties=frozenset({"mandatory", "notempty", "standard"}))
option_4 = StrOption(name="varname", doc="varname", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_rougail.dyn_{{ suffix }}.varname"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(True), 'rougail.varname': ParamOption(option_2)})), properties=frozenset({"mandatory", "notempty", "standard"}))
option_6 = StrOption(name="vardyn", doc="vardyn", default=Calculation(func['calc_value'], Params((ParamSuffix()))), properties=frozenset({"mandatory", "standard"}))
option_7 = StrOption(name="p_vardyn", doc="p_vardyn", default=Calculation(func['calc_value'], Params((ParamSuffix(suffix_index=0)))), properties=frozenset({"mandatory", "standard"}))
option_8 = StrOption(name="q_vardyn", doc="q_vardyn", default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_rougail.dyn_{{ suffix }}.dyn_{{ suffix }}.q_vardyn"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 's1': ParamSuffix(suffix_index=0), 's2': ParamSuffix(suffix_index=1)})), properties=frozenset({"mandatory", "standard"}))
optiondescription_5 = ConvertDynOptionDescription(name="dyn_{{ suffix }}", doc="dyn_{{ suffix }}", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_4, notraisepropertyerror=True)), kwargs={'allow_none': ParamValue(True)})), children=[option_6, option_7, option_8], properties=frozenset({"standard"}))
optiondescription_3 = ConvertDynOptionDescription(name="dyn_{{ suffix }}", doc="dyn_{{ suffix }}", suffixes=Calculation(func['calc_value'], Params((ParamOption(option_2, notraisepropertyerror=True)), kwargs={'allow_none': ParamValue(True)})), children=[option_4, optiondescription_5], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2, optiondescription_3], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
