from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('tests/dictionaries/../eosfunc/test.py')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
dict_env['default_1.rougail.general.leader.follower1'] = "{{ \"valfill\" | calc_val }}"
dict_env['disabled_1.rougail.general.leader.follower1'] = "{% if rougail.general.condition == \"oui\" %}\ncondition is oui\n{% endif %}\n"
dict_env['default_2.rougail.general.leader.follower1'] = "{{ \"valfill\" | calc_val }}"
dict_env['disabled_2.rougail.general.leader.follower1'] = "{% if rougail.general.condition == \"oui\" %}\ncondition is oui\n{% endif %}\n"
option_4 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "standard"}))
option_5 = StrOption(name="condition", doc="condition", default="oui", properties=frozenset({"mandatory", "standard"}))
option_7 = StrOption(name="leader", doc="leader", multi=True, default=["a"], properties=frozenset({"mandatory", "notempty", "standard"}))
option_8 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_1.rougail.general.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False)})), properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("disabled")), kwargs={'__internal_jinja': ParamValue("disabled_1.rougail.general.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.condition': ParamOption(option_5)}), help_function=func['jinja_to_property_help'])}))
option_9 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"standard"}))
optiondescription_6 = Leadership(name="leader", doc="leader", children=[option_7, option_8, option_9], properties=frozenset({"standard"}))
optiondescription_3 = OptionDescription(name="general", doc="general", children=[option_4, option_5, optiondescription_6], properties=frozenset({"standard"}))
optiondescription_2 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_3], properties=frozenset({"standard"}))
optiondescription_1 = OptionDescription(name="1", doc="1", children=[optiondescription_2], properties=frozenset({"standard"}))
option_13 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"mandatory", "standard"}))
option_14 = StrOption(name="condition", doc="condition", default="oui", properties=frozenset({"mandatory", "standard"}))
option_16 = StrOption(name="leader", doc="leader", multi=True, default=["a"], properties=frozenset({"mandatory", "notempty", "standard"}))
option_17 = StrOption(name="follower1", doc="follower1", multi=True, default=Calculation(func['jinja_to_function'], Params((), kwargs={'__internal_jinja': ParamValue("default_2.rougail.general.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False)})), properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "standard", Calculation(func['jinja_to_property'], Params((ParamValue("disabled")), kwargs={'__internal_jinja': ParamValue("disabled_2.rougail.general.leader.follower1"), '__internal_type': ParamValue("string"), '__internal_multi': ParamValue(False), 'rougail.general.condition': ParamOption(option_14)}), help_function=func['jinja_to_property_help'])}))
option_18 = StrOption(name="follower2", doc="follower2", multi=True, properties=frozenset({"standard"}))
optiondescription_15 = Leadership(name="leader", doc="leader", children=[option_16, option_17, option_18], properties=frozenset({"standard"}))
optiondescription_12 = OptionDescription(name="general", doc="general", children=[option_13, option_14, optiondescription_15], properties=frozenset({"standard"}))
optiondescription_11 = OptionDescription(name="rougail", doc="rougail", children=[optiondescription_12], properties=frozenset({"standard"}))
optiondescription_10 = OptionDescription(name="2", doc="2", children=[optiondescription_11], properties=frozenset({"standard"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1, optiondescription_10])
